User's Guide
Reference Manual
Release Notes
PDF
Top

Diameter
Reference Manual
Version 1.2

Expand All
Contract All

Table of Contents

# diameterc

### COMMAND

diameterc

### COMMAND SUMMARY

diameterc [<options>] <file>

### DESCRIPTION

The diameterc utility is used to compile diameter dictionary files into Erlang source. The resulting source implements the interface diameter requires to encode and decode the dictionary's messages and AVP's.

### USAGE

diameterc [<options>] <file>

  Compiles a single dictionary file. Valid options are as follows.

  -o <dir>

    Specifies the directory into which the generated source should be written. Defaults to the current working directory.

  -i <dir>

    Specifies a directory to add to the code path. Use to point at beam files compiled from inherited dictionaries, @inherits in a dictionary file creating a beam dependency, not an erl/hrl dependency.

    Multiple -i options can be specified.

  -E
  -H

    Supresses erl and hrl generation, respectively.

  --name <name>
  --prefix <prefix>

    Set @name and @prefix in the dictionary, respectively. Overrides any setting in the file itself.

  --inherits <dict>

    Append an @inherits to the dictionary before compiling. Specifying '-' as the dictionary has the effect of clearing any previous inherits, causing them to be ignored.

    Multiple --inherits options can be specified.

### EXIT STATUS

Returns 0 on success, non-zero on failure.

### SEE ALSO

diameter_dict(4)